> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Saves Gusto Payroll

> Save a Gusto Payroll, for Partners who prefer to push Gusto data directly into the Tight API instead of having the Tight API pull on their behalf.



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/payroll/gustoPayroll
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/payroll/gustoPayroll:
    post:
      tags:
        - Payroll
      summary: Saves Gusto Payroll
      description: >-
        Save a Gusto Payroll, for Partners who prefer to push Gusto data
        directly into the Tight API instead of having the Tight API pull on
        their behalf.
      operationId: postGustoPayroll
      requestBody:
        description: Gusto Payroll data
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PayrollPostGustoDTOV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    PayrollPostGustoDTOV5:
      type: object
      properties:
        gustoApiVersion:
          type: string
          description: Gusto API version
          enum:
            - '2023-12-01'
            - '2024-04-01'
            - '2026-02-01'
        gustoPayroll:
          $ref: '#/components/schemas/Payroll'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    Payroll:
      type: object
      properties:
        employee_compensations:
          type: array
          items:
            $ref: '#/components/schemas/EmployeeCompensation'
        payroll_uuid:
          type: string
        company_uuid:
          type: string
        version:
          type: string
        processed:
          type: boolean
        processed_date:
          type: string
          format: date-time
        calculated_at:
          type: string
          format: date-time
        totals:
          $ref: '#/components/schemas/Totals'
        pay_period:
          $ref: '#/components/schemas/PayPeriod'
        payroll_deadline:
          type: string
          format: date-time
        check_date:
          type: string
          format: date-time
        date:
          type: string
          format: date-time
      description: Payroll object directly from Gusto
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    EmployeeCompensation:
      type: object
      properties:
        payment_method:
          type: string
        fixed_compensations:
          type: array
          items:
            $ref: '#/components/schemas/FixedCompensation'
        hourly_compensations:
          type: array
          items:
            $ref: '#/components/schemas/HourlyCompensation'
        paid_time_off:
          type: array
          items:
            $ref: '#/components/schemas/PaidTimeOff'
        gross_pay:
          type: number
        net_pay:
          type: number
        benefits:
          type: array
          items:
            $ref: '#/components/schemas/Benefits'
    Totals:
      type: object
      properties:
        company_debit:
          type: string
        net_pay_debit:
          type: string
        tax_debit:
          type: string
        reimbursement_debit:
          type: string
        child_support_debit:
          type: string
        reimbursements:
          type: string
        netPay:
          type: string
        gross_pay:
          type: string
        employee_bonuses:
          type: string
        employee_commissions:
          type: string
        employee_cash_tips:
          type: string
        employee_paychecktips:
          type: string
        additional_earnings:
          type: string
        owners_draw:
          type: string
        check_amount:
          type: string
        employer_taxes:
          type: string
        employee_taxes:
          type: string
        benefits:
          type: string
        employee_benefits_deductions:
          type: string
        deferred_payroll_taxes:
          type: string
    PayPeriod:
      type: object
      properties:
        start_date:
          type: string
        end_date:
          type: string
        pay_schedule_uuid:
          type: string
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
    FixedCompensation:
      type: object
      properties:
        amount:
          type: string
        name:
          type: string
        job_uuid:
          type: string
    HourlyCompensation:
      type: object
      properties:
        compensation_multiplier:
          type: number
          format: double
        job_uuid:
          type: string
        name:
          type: string
        amount:
          type: string
        hours:
          type: string
    PaidTimeOff:
      type: object
      properties:
        name:
          type: string
        hours:
          type: string
        final_payout_unused_hours_input:
          type: string
    Benefits:
      type: object
      properties:
        name:
          type: string
        employee_deduction:
          type: number
        company_contribution:
          type: number
        imputed:
          type: boolean
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````